diff --git a/papermc.sh b/papermc.sh
index e6cb57906947f86dceccc217c925a1c29d10189d..19304ae088e6774cd46e867dd5b2d042a36c63c5 100755
--- a/papermc.sh
+++ b/papermc.sh
@@ -1,4 +1,8 @@
 #!/bin/bash
+exec 3>&1 4>&2
+trap 'exec 2>&4 1>&3' 0 1 2 3
+exec 1>log.out 2>&1
+# Everything below will go to the file 'log.out':
 
 # Configuration
 PAPER_URL=https://papermc.io/api/v2/projects/paper